React Switch - Overview
The Switch is a UI component that can be in two states: "On" (when value is true) and "Off" (when value is false).
The following code adds the Switch to your page.
App.js
- import React from 'react';
- import 'devextreme/dist/css/dx.light.css';
- import Switch from 'devextreme-react/switch';
- class App extends React.Component {
- render() {
- return (
- <Switch defaultValue={true} />
- );
- }
- }
- export default App;
See Also
Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.

Angular Switch - Overview
The Switch is a UI component that can be in two states: "On" (when value is true) and "Off" (when value is false).
The following code adds the Switch to your page.
jQuery
index.js
$(function() {
    $("#switchContainer").dxSwitch({
        value: true
    });
});Angular
app.component.html
app.component.ts
app.module.ts
<dx-switch [value]="true"> </dx-switch>
import { Component } from '@angular/core';
@Component({
    selector: 'app-root',
    templateUrl: './app.component.html',
    styleUrls: ['./app.component.css']
})
export class AppComponent { }
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { AppComponent } from './app.component';
import { DxSwitchModule } from 'devextreme-angular';
@NgModule({
    declarations: [
        AppComponent
    ],
    imports: [
        BrowserModule,
        DxSwitchModule
    ],
    providers: [ ],
    bootstrap: [AppComponent]
})
export class AppModule { }Vue
App.vue
<template>
    <DxSwitch :value="true" />
</template>
<script>
import 'devextreme/dist/css/dx.light.css';
import DxSwitch from 'devextreme-vue/switch';
export default {
    components: {
        DxSwitch
    }
}
</script>React
App.js
import React from 'react';
import 'devextreme/dist/css/dx.light.css';
import Switch from 'devextreme-react/switch';
class App extends React.Component {
    render() {
        return (
            <Switch defaultValue={true} />
        );
    }
}
export default App;See Also
jQuery
Angular
Vue
React
        
            Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
    Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.